Loading...
Searching...
No Matches
border.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Element | border (Element child)
| Draw a border around the element.
Decorator | borderWith (const Pixel &pixel)
| Same as border but with a constant Pixel around the element.
Decorator | borderStyled (BorderStyle style)
| Same as border but with different styles.
Decorator | borderStyled (Color foreground_color)
| Same as border but with a foreground color.
Decorator | borderStyled (BorderStyle style, Color foreground_color)
| Same as border but with a foreground color and a different style.
Element | borderDashed (Element child)
| Draw a dashed border around the element.
Element | borderLight (Element child)
| Draw a light border around the element.
Element | borderHeavy (Element child)
| Draw a heavy border around the element.
Element | borderDouble (Element child)
| Draw a double border around the element.
Element | borderRounded (Element child)
| Draw a rounded border around the element.
Element | borderEmpty (Element child)
| Draw an empty border around the element.
Element | window (Element title, Element content, BorderStyle border)
| Draw window with a title and a border around the element.